Update Call Tags
curl --request PATCH \
--url https://api.prod.usesimple.ai/api/v1/calls/{uuid}/tags \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"tags": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.prod.usesimple.ai/api/v1/calls/{uuid}/tags"
payload = { "tags": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({tags: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://api.prod.usesimple.ai/api/v1/calls/{uuid}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"call": {
"id": 123,
"simple_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"from_number": "<string>",
"to_number": "<string>",
"status": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"duration": 123,
"created_at": "2023-11-07T05:31:56Z",
"prompt": {
"prompt_text": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"transcripts": [
{
"text": "<string>",
"role": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"function_name": "<string>",
"arguments": {}
}
],
"call_prompt": "<string>",
"record": true,
"transferred": true,
"handoff_metadata": {
"five9": {
"conversation_id": "<string>",
"tenant_name": "<string>",
"campaign_name": "<string>",
"transferred_at": "2023-11-07T05:31:56Z"
}
},
"direction": "<string>",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"color": "<string>"
}
],
"voice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"background_noise": "<string>",
"agent_speaks_first": true,
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_branch": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_commit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_branch_name": "<string>",
"external_identifiers": {},
"params": {},
"recording_presigned_url": "<string>",
"analyzers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt": "<string>",
"output_config": {
"properties": {}
}
}
],
"analysis_results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"analyzer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt": "<string>",
"output_config": {},
"result": {}
}
],
"summary": {},
"keyterms": [
"<string>"
]
}
}{
"success": false,
"errors": [
"<string>"
]
}{
"success": false,
"errors": [
"<string>"
]
}Call Tags
Update Call Tags
Update the tags associated with a specific call
PATCH
/
calls
/
{uuid}
/
tags
Update Call Tags
Authorizations
Path Parameters
Body
application/json
Array of call tag UUIDs to assign to the call
Was this page helpful?
⌘I